KOBJECT_SET_NAME(9)

NAME
kobject_set_name - Set the name of an object

SYNOPSIS

int kobject_set_name (struct kobject * kobj, const char * fmt, ...);

ARGUMENTS

kobj
    object.

fmt format string used to build the name

... variable arguments

DESCRIPTION

If strlen(name) >= KOBJ_NAME_LEN, then use a dynamically allocated string that kobj->k_name points to. Otherwise, use the static kobj->name array.